Export manifest
Exports the statements of the given graphs as a manifest, with their blobs unless include_blobs is false and with JSON-LD context when include_context is true. The caller needs view_project_data on the project of every requested graph.
https://<host>/manifest/v1curl --request GET \
--url 'https://<host>/manifest/v1?graph_ids=<graph_ids>' \
--header 'Authorization: Bearer <token>'const response = await fetch("https://<host>/manifest/v1?graph_ids=<graph_ids>", {
method: "GET",
headers: {
"Authorization": "Bearer <token>"
}
});
const data = await response.json();interface Manifest {
anchors?: Record<string, unknown>[] | null;
blobs: Record<string, unknown>;
contexts: Record<string, unknown>;
statements: Record<string, unknown>;
version: string;
}
const response = await fetch("https://<host>/manifest/v1?graph_ids=<graph_ids>", {
method: "GET",
headers: {
"Authorization": "Bearer <token>"
}
});
if (!response.ok) throw new Error(`${response.status} ${response.statusText}`);
const data: Manifest = await response.json();import requests
response = requests.get(
"https://<host>/manifest/v1?graph_ids=<graph_ids>",
headers={
"Authorization": "Bearer <token>",
},
)
response.raise_for_status()
print(response.json())package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest(http.MethodGet, "https://<host>/manifest/v1?graph_ids=<graph_ids>", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <token>")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, err := io.ReadAll(res.Body)
if err != nil {
panic(err)
}
fmt.Println(res.Status, string(data))
}import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://<host>/manifest/v1?graph_ids=<graph_ids>"))
.header("Authorization", "Bearer <token>")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.statusCode() + " " + response.body());
}
}using System.Net.Http.Headers;
using var client = new HttpClient();
using var request = new HttpRequestMessage(HttpMethod.Get, "https://<host>/manifest/v1?graph_ids=<graph_ids>");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<token>");
using var response = await client.SendAsync(request);
Console.WriteLine($"{(int)response.StatusCode} {await response.Content.ReadAsStringAsync()}");<?php
$ch = curl_init('https://<host>/manifest/v1?graph_ids=<graph_ids>');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
],
CURLOPT_RETURNTRANSFER => true,
]);
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
echo $status . " " . $response . PHP_EOL;require "net/http"
uri = URI("https://<host>/manifest/v1?graph_ids=<graph_ids>")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <token>"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
http.request(request)
end
puts "#{response.code} #{response.body}"// Cargo.toml dependencies: reqwest, tokio (features "full")
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let response = reqwest::Client::new()
.get("https://<host>/manifest/v1?graph_ids=<graph_ids>")
.header("Authorization", "Bearer <token>")
.send()
.await?;
println!("{} {}", response.status(), response.text().await?);
Ok(())
}Authorizations
BearerAuth· HTTP bearer (JWT)
Parameters
Query parameters
| Name | Type | Description |
|---|---|---|
graph_idsrequired | string[] | Graphs whose statements the manifest exports |
include_context | boolean | null | Whether to populate the context field in the manifest |
include_blobs | boolean | null | Whether to include blobs in the manifest |
Responses
200A manifest of the requested graphs' statements
anchorsAnchor[] | nullOptional anchor records proving statement publication
Show properties
Array of
AnchorlocationsLocation[]requiredStorage locations where the statements are anchored
Show properties
Array of
LocationOne of the following:
integrity_storestringrequired
urlstringrequired
payloadPayloadrequiredDefines what type of data is being anchored
Show Payload
One of the following:
typestring (enum)requiredOne of
Statement
typestring (enum)requiredOne of
StatementId
statementsstring[]requiredList of statement identifiers or full statements being anchored
blobsobjectrequiredBinary blobs referenced by statements, keyed by CID
Show properties
Map of
stringcontextsobjectrequiredJSON-LD context definitions embedded for self-contained processing
Show properties
Map of
anystatementsobjectrequiredStatements included in this manifest, keyed by statement ID
Show properties
Map of
StatementOne of the following:
@contextstringrequiredJSON-LD context URL
@idstringrequiredUnique identifier for this statement
@typestringrequiredStatement type identifier
associationstring[]requiredThe associated entities (CID or DID)
registeredBystringrequiredDID of the entity that registered this statement
subjectstringrequiredThe subject of the association (CID or DID)
timestampstringrequiredISO 8601 timestamp of when the statement was created
typeAssociationTyperequiredOne of
certifiesincludesisInstanceOf
@contextstringrequiredJSON-LD context URL
@idstringrequiredUnique identifier for this statement
@typestringrequiredStatement type identifier
datastringrequiredCID of the data being stored
operatedBystringrequiredDID of the entity operating the storage system
registeredBystringrequiredDID of the entity that registered this statement
storedOnstringrequiredCID of the storage system description
timestampstringrequiredISO 8601 timestamp of when the statement was created
@contextstringrequiredJSON-LD context URL
@idstringrequiredUnique identifier for this statement
@typestringrequiredStatement type identifier
metadatastringrequiredCID of the metadata JSON document
registeredBystringrequiredDID of the entity that registered this statement
subjectstringrequiredThe subject the metadata describes (CID or DID)
timestampstringrequiredISO 8601 timestamp of when the statement was created
@contextstringrequiredJSON-LD context URL
@idstringrequiredUnique identifier for this statement
@typestringrequiredStatement type identifier
computationstring | nullOptional CID of the computation definition or code
executedOnstring | nullOptional identifier of the system where computation was executed
inputstringrequiredInput data CIDs (single value or array)
operatedBystringrequiredDID of the entity that operated the computation
outputstringrequiredOutput data CIDs (single value or array)
registeredBystringrequiredDID of the entity that registered this statement
timestampstringrequiredISO 8601 timestamp of when the statement was created
@contextstringrequiredJSON-LD context URL
@idstringrequiredUnique identifier for this statement
@typestringrequiredStatement type identifier
credentialanyrequiredThe W3C Verifiable Credential
registeredBystringrequiredDID of the entity that registered this statement
timestampstringrequiredISO 8601 timestamp of when the statement was created
@contextstringrequiredJSON-LD context URL
@idstringrequiredUnique identifier for this statement
@typestringrequiredStatement type identifier
credentialDsseEnveloperequiredSerializable DSSE envelope for lineage data. Contains a payload and one or more signatures for secure transmission and storage of lineage statements.
Show Envelope
payloadstringrequiredThe base64-encoded payload data
payloadTypestringrequiredThe type/format of the payload
signaturesSignature[]requiredOne or more digital signatures
Show properties
Array of
SignaturekeyidstringrequiredKey identifier used to create the signature
sigstringrequiredThe base64-encoded signature bytes
registeredBystringrequiredDID of the entity that registered this statement
timestampstringrequiredISO 8601 timestamp of when the statement was created
@contextstringrequiredJSON-LD context URL
@idstringrequiredUnique identifier for this statement
@typestringrequiredStatement type identifier
registeredBystringrequiredDID of the entity that registered this statement
sigstoreBundlestringrequiredBase64-encoded Sigstore bundle
subjectstringrequiredThe subject that the bundle is about
timestampstringrequiredISO 8601 timestamp of when the statement was created
One of the following:
@contextstringrequiredJSON-LD context URL
@idstringrequiredUnique identifier for this statement
@typestringrequiredStatement type identifier
didstringrequiredThe DID being registered
registeredBystringrequiredDID of the entity that registered this statement
timestampstringrequiredISO 8601 timestamp of when the statement was created
@contextstringrequiredJSON-LD context URL
@idstringrequiredUnique identifier for this statement
@typestringrequiredStatement type identifier
datastringrequiredData artifact CID(s) being registered
registeredBystringrequiredDID of the entity that registered this statement
timestampstringrequiredISO 8601 timestamp of when the statement was created
@contextstringrequiredJSON-LD context URL
@idstringrequiredUnique identifier for this statement
@typestringrequiredStatement type identifier
entitystringrequiredEntity UUID(s) being registered
registeredBystringrequiredDID of the entity that registered this statement
timestampstringrequiredISO 8601 timestamp of when the statement was created
@contextstringrequiredJSON-LD context URL
@idstringrequiredUnique identifier for this statement
@typestringrequiredStatement type identifier
documentstringrequiredCID of the governance document
registeredBystringrequiredDID of the entity that registered this statement
subjectstringrequiredThe subject to which governance applies
timestampstringrequiredISO 8601 timestamp of when the statement was created
versionstringrequiredManifest format version
{
"anchors": [
{
"locations": [
{
"integrity_store": "string"
}
],
"payload": {
"type": "Statement"
},
"statements": [
"string"
]
}
],
"blobs": {
"key": "string"
},
"contexts": {
"key": null
},
"statements": {
"key": {
"@context": "string",
"@id": "string",
"@type": "string",
"association": [
"string"
],
"registeredBy": "string",
"subject": "string",
"timestamp": "string",
"type": "certifies"
}
},
"version": "string"
}401Missing or invalid bearer token
callstackobjectShow properties
object | nullerrorstringrequired
{
"callstack": {},
"error": "string"
}403Caller lacks view_project_data on the project of one of the requested graphs (or in any project when none are requested)
callstackobjectShow properties
object | nullerrorstringrequired
{
"callstack": {},
"error": "string"
}404A requested graph is not registered, or is another organization's agent graph
callstackobjectShow properties
object | nullerrorstringrequired
{
"callstack": {},
"error": "string"
}500Internal error
callstackobjectShow properties
object | nullerrorstringrequired
{
"callstack": {},
"error": "string"
}503Auth Service or blob storage unavailable
callstackobjectShow properties
object | nullerrorstringrequired
{
"callstack": {},
"error": "string"
}